@echo off
REM Script to be run from within dir with .dats (move script)

setlocal EnableDelayedExpansion

for %%i in (*.dat) do (

(echo %%~fi) > tempfile.txt
for  %%? IN (tempfile.txt) DO ( SET /A strlength=%%~z? - 2 )
echo !strlength!
if !strlength! GTR 256 echo "%%i is too large"
)
del tempfile.txt /q


endlocal

REM Create dir script can begin here

pause